using util::AbstractMain
using wisp::WispService
using web::WebMod
using web::FileWeblet

class Main : AbstractMain {
	override Int run() {
		runServices([WispService {
			it.httpPort = 8069
			it.root = MyWebMod()
		}])
	}
}

const class MyWebMod : WebMod {
	override Void onGet() {

		reqPath := req.modRel.path
		if (reqPath.first == "pod") {
			podPath := reqPath[1..-1].join("/")
			podFile := `fan://${podPath}`.toFile
			return FileWeblet(podFile).onService
		}

		url := req.modRel.pathOnly
		switch (url) {
			case `/`:
				IndexPage().render(res)

			default:
				res.sendErr(404)
		}
	}
}
